lisp.c

LISP Interpreter Run

[[[(Fx) = flatten x by removing all interior parentheses]]]
[Define F of x as follows: if x is empty then return empty, if
 x is an atom then join x to the empty list, otherwise split
 x into its head and tail, flatten each, and append the results.]
& (Fx) /=x()() /.x*x() ^(F+x)(F-x)

F:          (&(x)(/(=x())()(/(.x)(*x())(^(F(+x))(F(-x))))))

(F,F) [use F to flatten itself]

expression  (F(,F))
display     (&(x)(/(=x())()(/(.x)(*x())(^(F(+x))(F(-x))))))
value       (&x/=x/.x*x^F+xF-x)

[[[(Gx) = size of x in unary]]]
[Let G of x be [if x is empty, then unary two, if x is an atom,
 then unary one, otherwise split x into its head and tail,
 size each, and add the results] in ...]
: (Gx) /=x()'{2} /.x'{1} ^(G+x)(G-x)
[Let G of x be [...] in:]
(G,G) [apply G to itself]

expression  (('(&(G)(G(,G))))('(&(x)(/(=x())('(11))(/(.x)('(1)
            )(^(G(+x))(G(-x))))))))
display     (&(x)(/(=x())('(11))(/(.x)('(1))(^(G(+x))(G(-x))))
            ))
value       (1111111111111111111111111111111111111111111111111
            111)

End of LISP Run

Elapsed time is 0 seconds.
