[[[[ Omega in the limit from below! ]]]]

[[[
 (Wn) = the nth lower bound on the halting probability
 Omega = (the number of n-bit programs that halt when
 run on U for time n) divided by (2 to the power n).
]]]

&(Vkp) /.k /.+?n'!%p () '(1)
       (A(V-k*0p)(V-k*1p)0)

&(Wn) *0*".(R(Vn())n)

[S = sum of three bits]
&(Sxyz) =x=yz

[C = carry of three bits]
&(Cxyz) /x/y1z/yz0

[A = addition of reversed binary x and y]
[c = carryin]
&(Axyc) /.x /.y /c'(1)() (A'(0)yc)
        /.y (Ax'(0)c)
        *(S+x+yc)(A-x-y(C+x+yc))

[Pad x to length k on right and reverse]
&(Rxk) /.x/.k() *0(Rx-k) ^(R-x-k)*+x()

[These lower bounds are zero until we
get a complete 7-bit character:]
(W'{0})
(W'{1})
(W'{2})
(W'{3})
(W'{4})
(W'{5})
(W'{6})
[Programs are now one 7-bit ASCII character.]
(W'{7})
(W'{8})
(W'{9})
(W'{10})
(W'{11})
(W'{12})
(W'{13})
[Programs are now two 7-bit ASCII characters.]
(W'{14})
(W'{15})
(W'{16})
(W'{17})
(W'{18})
(W'{19})
(W'{20})
[Programs are now three 7-bit ASCII characters.]
(W'{21})
(W'{22})
[At this point we run out of memory, even with
 512 megabytes of lisp storage.  The solution
 is either more storage, or a much more
 complicated lisp interpreter with garbage
 collection.  We will never reach the first
 program that loops forever.  The smallest
 example I know is  :(f)(f) (f)  which is
 10 characters = 70 bits.]
[
(W'{23})
]
