show.c

LISP Interpreter Run


[ lisp test run ]

0

expression  0
value       0

1

expression  1
value       1

x

expression  x
value       x

'(abc)

expression  ('(abc))
value       (abc)

+'(abc)

expression  (+('(abc)))
value       a

-'(abc)

expression  (-('(abc)))
value       (bc)

+'a

expression  (+('a))
value       a

"(+)

expression  (+)
value       ()

"(+11)

expression  (+11)
value       1

-'a

expression  (-('a))
value       a

*'(ab)'(cd)

expression  (*('(ab))('(cd)))
value       ((ab)cd)

*'a'b

expression  (*('a)('b))
value       a

"(*()()())

expression  (*()()())
value       (())

.'a

expression  (.('a))
value       1

.'(abc)

expression  (.('(abc)))
value       0

='(ab)'(ab)

expression  (=('(ab))('(ab)))
value       1

='(ab)'(ac)

expression  (=('(ab))('(ac)))
value       0

/0'x'y

expression  (/0('x)('y))
value       y

/1'x'y

expression  (/1('x)('y))
value       x

/'x'y'z

expression  (/('x)('y)('z))
value       y

/X'x'y

expression  (/X('x)('y))
value       x

-,-,-,'(abcdef)

expression  (-(,(-(,(-(,('(abcdef))))))))
display     (abcdef)
display     (bcdef)
display     (cdef)
value       (def)

!'+'(abc)

expression  (!('(+('(abc)))))
value       a

?0'+'(abc)0

expression  (?0('(+('(abc))))0)
value       ((a))

& X 'A

expression  ('A)
X:          A

X

expression  X
value       A

!'X

expression  (!('X))
value       X

X

expression  X
value       A

?0'X0

expression  (?0('X)0)
value       ((X))

X

expression  X
value       A

('&(X)   X          'X)

expression  (('(&(X)X))('X))
value       X

('&(X) ?0'X0        'X)

expression  (('(&(X)(?0('X)0)))('X))
value       ((X))

('&(X) *X*?0'X0*X() 'X)

expression  (('(&(X)(*X(*(?0('X)0)(*X())))))('X))
value       (X((X))X)

('&(X)   X          'X)

expression  (('(&(X)X))('X))
value       X

X

expression  X
value       A

?'() '('&(xy)y 'a 'b)0

expression  (?('())('(('(&(xy)y))('a)('b)))0)
value       (?)

?'(1)'('&(xy)y 'a 'b)0

expression  (?('(1))('(('(&(xy)y))('a)('b)))0)
value       ((b))

?'()    ':(f)(~f)(~f)0

expression  (?('())('(('(&(f)((~f))))('(&()((~f))))))0)
value       (?)

?'(1)   ':(f)(~f)(~f)0

expression  (?('(1))('(('(&(f)((~f))))('(&()((~f))))))0)
show        (&()((~f)))
size        9(11)/63(77)
value       (?)

?'(11)  ':(f)(~f)(~f)0

expression  (?('(11))('(('(&(f)((~f))))('(&()((~f))))))0)
show        (&()((~f)))
size        9(11)/63(77)
show        (&()((~f)))
size        9(11)/63(77)
value       (?)

?'(111) ':(f)(~f)(~f)0

expression  (?('(111))('(('(&(f)((~f))))('(&()((~f))))))0)
show        (&()((~f)))
size        9(11)/63(77)
show        (&()((~f)))
size        9(11)/63(77)
show        (&()((~f)))
size        9(11)/63(77)
value       (?)

?'(1111)':(f)(~f)(~f)0

expression  (?('(1111))('(('(&(f)((~f))))('(&()((~f))))))0)
show        (&()((~f)))
size        9(11)/63(77)
show        (&()((~f)))
size        9(11)/63(77)
show        (&()((~f)))
size        9(11)/63(77)
show        (&()((~f)))
size        9(11)/63(77)
value       (?)

? '(11)   ',,,? '(1111) ':(f)(~f)(~f)
00

expression  (?('(11))('(,(,(,(?('(1111))('(('(&(f)((~f))))('(&
            ()((~f))))))0)))))0)
show        (&()((~f)))
size        9(11)/63(77)
value       (?)

? '(1111) ',,,? '(11)   ':(f)(~f)(~f)
00

expression  (?('(1111))('(,(,(,(?('(11))('(('(&(f)((~f))))('(&
            ()((~f))))))0)))))0)
show        (&()((~f)))
size        9(11)/63(77)
show        (&()((~f)))
size        9(11)/63(77)
value       (((?))(?)(?)(?))

?'(111111)'?'(1111)'?'(1111)'?'(1)'('&(x)(~x) '&()(~x))
0000

expression  (?('(111111))('(?('(1111))('(?('(1111))('(?('(1))(
            '(('(&(x)((~x))))('(&()((~x))))))0))0))0))0)
show        (&()((~x)))
size        9(11)/63(77)
value       (((((((?)))))))

?0 '?0 '?0 '?0 '?0 'a
00000

expression  (?0('(?0('(?0('(?0('(?0('a)0))0))0))0))0)
value       ((((((((((a))))))))))

?0 '?0 '?0 '?0 '?0 ''a
00000

expression  (?0('(?0('(?0('(?0('(?0('('a))0))0))0))0))0)
value       ((((((((((a))))))))))

?'(111111)'?'(1111)'?'(1111)'?'(1)':(x)(~x)(~x)
0000

expression  (?('(111111))('(?('(1111))('(?('(1111))('(?('(1))(
            '(('(&(x)((~x))))('(&()((~x))))))0))0))0))0)
show        (&()((~x)))
size        9(11)/63(77)
value       (((((((?)))))))

?'(111111)'?'(1111)'?'(1)'?'(1111)':(x)(~x)(~x)
0000

expression  (?('(111111))('(?('(1111))('(?('(1))('(?('(1111))(
            '(('(&(x)((~x))))('(&()((~x))))))0))0))0))0)
value       (((((?)))))

?'(111111)'?'(1)'?'(1111)'?'(1111)':(x)(~x)(~x)
0000

expression  (?('(111111))('(?('(1))('(?('(1111))('(?('(1111))(
            '(('(&(x)((~x))))('(&()((~x))))))0))0))0))0)
value       (((?)))

?'(1)'?'(111111)'?'(1111)'?'(1111)':(x)(~x)(~x)
0000

expression  (?('(1))('(?('(111111))('(?('(1111))('(?('(1111))(
            '(('(&(x)((~x))))('(&()((~x))))))0))0))0))0)
value       (?)

?'(111)'?'(111)'?'(111)'?'(111)':(x)(~x)(~x)
0000

expression  (?('(111))('(?('(111))('(?('(111))('(?('(111))('((
            '(&(x)((~x))))('(&()((~x))))))0))0))0))0)
value       (?)

('&(xy)y 'a 'b)

expression  (('(&(xy)y))('a)('b))
value       b

('&(yy)y 'a 'b)

expression  (('(&(yy)y))('a)('b))
value       a

('&(xy)y 'a)

expression  (('(&(xy)y))('a))
value       ()

('&(x1)y 'a 'b)

expression  (('(&(x1)y))('a)('b))
value       y

('&(x(y))y 'a 'b)

expression  (('(&(x(y))y))('a)('b))
value       y

('&()'a)

expression  (('(&()('a))))
value       a

('&x'a)

expression  (('(&x('a))))
value       a

('&(xy)y 'a 'b 'c)

expression  (('(&(xy)y))('a)('b)('c))
value       b

('"(X(xy)y) 'a 'b)

expression  (('(X(xy)y))('a)('b))
value       b

('"(&) 'a 'b)

expression  (('(&))('a)('b))
value       ()

('"(&(xy)) 'a 'b)

expression  (('(&(xy)))('a)('b))
value       ()

('"(&(xy)xy) 'a 'b)

expression  (('(&(xy)xy))('a)('b))
value       a


[ concatenation ]
& (Cxy) /.xy *+x(C-xy)

C:          (&(xy)(/(.x)y(*(+x)(C(-x)y))))

(C'(ab)'(cd))

expression  (C('(ab))('(cd)))
value       (abcd)


[ d: x goes to (xx) ]
& (dx) *,x*x()

d:          (&(x)(*(,x)(*x())))

[ e really doubles length of string each time ]
& (ex) *,xx

e:          (&(x)(*(,x)x))

(d(d(d(d(d(d(d(d()))))))))

expression  (d(d(d(d(d(d(d(d()))))))))
display     ()
display     (()())
display     ((()())(()()))
display     (((()())(()()))((()())(()())))
display     ((((()())(()()))((()())(()())))(((()())(()()))((()
            ())(()()))))
display     (((((()())(()()))((()())(()())))(((()())(()()))(((
            )())(()()))))((((()())(()()))((()())(()())))(((()(
            ))(()()))((()())(()())))))
display     ((((((()())(()()))((()())(()())))(((()())(()()))((
            ()())(()()))))((((()())(()()))((()())(()())))(((()
            ())(()()))((()())(()())))))(((((()())(()()))((()()
            )(()())))(((()())(()()))((()())(()()))))((((()())(
            ()()))((()())(()())))(((()())(()()))((()())(()()))
            ))))
display     (((((((()())(()()))((()())(()())))(((()())(()()))(
            (()())(()()))))((((()())(()()))((()())(()())))((((
            )())(()()))((()())(()())))))(((((()())(()()))((()(
            ))(()())))(((()())(()()))((()())(()()))))((((()())
            (()()))((()())(()())))(((()())(()()))((()())(()())
            )))))((((((()())(()()))((()())(()())))(((()())(()(
            )))((()())(()()))))((((()())(()()))((()())(()())))
            (((()())(()()))((()())(()())))))(((((()())(()()))(
            (()())(()())))(((()())(()()))((()())(()()))))(((((
            )())(()()))((()())(()())))(((()())(()()))((()())((
            )())))))))
value       ((((((((()())(()()))((()())(()())))(((()())(()()))
            ((()())(()()))))((((()())(()()))((()())(()())))(((
            ()())(()()))((()())(()())))))(((((()())(()()))((()
            ())(()())))(((()())(()()))((()())(()()))))((((()()
            )(()()))((()())(()())))(((()())(()()))((()())(()()
            ))))))((((((()())(()()))((()())(()())))(((()())(()
            ()))((()())(()()))))((((()())(()()))((()())(()()))
            )(((()())(()()))((()())(()())))))(((((()())(()()))
            ((()())(()())))(((()())(()()))((()())(()()))))((((
            ()())(()()))((()())(()())))(((()())(()()))((()())(
            ()())))))))(((((((()())(()()))((()())(()())))(((()
            ())(()()))((()())(()()))))((((()())(()()))((()())(
            ()())))(((()())(()()))((()())(()())))))(((((()())(
            ()()))((()())(()())))(((()())(()()))((()())(()()))
            ))((((()())(()()))((()())(()())))(((()())(()()))((
            ()())(()()))))))((((((()())(()()))((()())(()())))(
            ((()())(()()))((()())(()()))))((((()())(()()))((()
            ())(()())))(((()())(()()))((()())(()())))))(((((()
            ())(()()))((()())(()())))(((()())(()()))((()())(()
            ()))))((((()())(()()))((()())(()())))(((()())(()()
            ))((()())(()()))))))))

(e(e(e(e(e(e(e(e()))))))))

expression  (e(e(e(e(e(e(e(e()))))))))
display     ()
display     (())
display     ((())())
display     (((())())(())())
display     ((((())())(())())((())())(())())
display     (((((())())(())())((())())(())())(((())())(())())(
            (())())(())())
display     ((((((())())(())())((())())(())())(((())())(())())
            ((())())(())())((((())())(())())((())())(())())(((
            ())())(())())((())())(())())
display     (((((((())())(())())((())())(())())(((())())(())()
            )((())())(())())((((())())(())())((())())(())())((
            (())())(())())((())())(())())(((((())())(())())(((
            ))())(())())(((())())(())())((())())(())())((((())
            ())(())())((())())(())())(((())())(())())((())())(
            ())())
value       ((((((((())())(())())((())())(())())(((())())(())(
            ))((())())(())())((((())())(())())((())())(())())(
            ((())())(())())((())())(())())(((((())())(())())((
            ())())(())())(((())())(())())((())())(())())((((()
            )())(())())((())())(())())(((())())(())())((())())
            (())())((((((())())(())())((())())(())())(((())())
            (())())((())())(())())((((())())(())())((())())(()
            )())(((())())(())())((())())(())())(((((())())(())
            ())((())())(())())(((())())(())())((())())(())())(
            (((())())(())())((())())(())())(((())())(())())(((
            ))())(())())


: (Cxy)/.,xy*+x(C-xy) (C'(abcdef)'(ghijkl))

expression  (('(&(C)(C('(abcdef))('(ghijkl)))))('(&(xy)(/(.(,x
            ))y(*(+x)(C(-x)y))))))
display     (abcdef)
display     (bcdef)
display     (cdef)
display     (def)
display     (ef)
display     (f)
display     ()
value       (abcdefghijkl)

?'()'
: (Cxy)/.,xy*+x(C-xy) (C'(abcdef)'(ghijkl))
0

expression  (?('())('(('(&(C)(C('(abcdef))('(ghijkl)))))('(&(x
            y)(/(.(,x))y(*(+x)(C(-x)y)))))))0)
value       (?)

?'(1)'
: (Cxy)/.,xy*+x(C-xy) (C'(abcdef)'(ghijkl))
0

expression  (?('(1))('(('(&(C)(C('(abcdef))('(ghijkl)))))('(&(
            xy)(/(.(,x))y(*(+x)(C(-x)y)))))))0)
value       (?)

?'(11)'
: (Cxy)/.,xy*+x(C-xy) (C'(abcdef)'(ghijkl))
0

expression  (?('(11))('(('(&(C)(C('(abcdef))('(ghijkl)))))('(&
            (xy)(/(.(,x))y(*(+x)(C(-x)y)))))))0)
value       (?(abcdef))

?'(111)'
: (Cxy)/.,xy*+x(C-xy) (C'(abcdef)'(ghijkl))
0

expression  (?('(111))('(('(&(C)(C('(abcdef))('(ghijkl)))))('(
            &(xy)(/(.(,x))y(*(+x)(C(-x)y)))))))0)
value       (?(bcdef)(abcdef))

?'(1111)'
: (Cxy)/.,xy*+x(C-xy) (C'(abcdef)'(ghijkl))
0

expression  (?('(1111))('(('(&(C)(C('(abcdef))('(ghijkl)))))('
            (&(xy)(/(.(,x))y(*(+x)(C(-x)y)))))))0)
value       (?(cdef)(bcdef)(abcdef))

?'(11111)'
: (Cxy)/.,xy*+x(C-xy) (C'(abcdef)'(ghijkl))
0

expression  (?('(11111))('(('(&(C)(C('(abcdef))('(ghijkl)))))(
            '(&(xy)(/(.(,x))y(*(+x)(C(-x)y)))))))0)
value       (?(def)(cdef)(bcdef)(abcdef))

?'(111111)'
: (Cxy)/.,xy*+x(C-xy) (C'(abcdef)'(ghijkl))
0

expression  (?('(111111))('(('(&(C)(C('(abcdef))('(ghijkl)))))
            ('(&(xy)(/(.(,x))y(*(+x)(C(-x)y)))))))0)
value       (?(ef)(def)(cdef)(bcdef)(abcdef))

?'(1111111)'
: (Cxy)/.,xy*+x(C-xy) (C'(abcdef)'(ghijkl))
0

expression  (?('(1111111))('(('(&(C)(C('(abcdef))('(ghijkl))))
            )('(&(xy)(/(.(,x))y(*(+x)(C(-x)y)))))))0)
value       (?(f)(ef)(def)(cdef)(bcdef)(abcdef))

?'(11111111)'
: (Cxy)/.,xy*+x(C-xy) (C'(abcdef)'(ghijkl))
0

expression  (?('(11111111))('(('(&(C)(C('(abcdef))('(ghijkl)))
            ))('(&(xy)(/(.(,x))y(*(+x)(C(-x)y)))))))0)
value       (((abcdefghijkl))()(f)(ef)(def)(cdef)(bcdef)(abcde
            f))

End of LISP Run

Elapsed time is 0 seconds.
