[[[
 First steps with my new construction for
 a self-delimiting universal Turing machine.
 We show that
    H((xy)) <= H(x) + H(y) + 56.
 Consider a bit string x of length |x|.
 We also show that
    H(x) <= 2|x| + 168
 and that
    H(x) <= |x| + H(|x|) + 525.
]]]

?0
':(f) :x@ :y@ /=xy *x(f) () (f)
'(0011001101)
[ This is 168 bits long: ]
~'"( :(f) :x@ :y@ /=xy *x(f) () (f) )
[ Here are the 168 bits: ]
#'"( :(f) :x@ :y@ /=xy *x(f) () (f) )
[ Here is the self-delimiting universal Turing machine! ]
[ (with slightly funny handling of out-of-tape condition) ]
& (Up) ++?0'!%p
[Show that H(x) <= 2|x| + 168]
(U
 ^ #'"( :(f) :x@ :y@ /=xy *x(f) () (f) )
   '(0011001101)
)
(U
 ^ #'"( :(f) :x@ :y@ /=xy *x(f) () (f) )
   '(0011001100)
)
(U
 ^ #~'"( *!%*!%() ) [The length of this bit string is the]
                    [constant c = 56 in H(x,y) <= H(x)+H(y)+c.]
 ^ #'"( :(f) :x@ :y@ /=xy *x(f) () (f) )
 ^ '(0011001101)
 ^ #'"( :(f) :x@ :y@ /=xy *x(f) () (f) )
   '(1100110001)
)
& (Dk) /=0+k *1(D-k) /.-k () *0-k [D = decrement reverse binary]
,(D,(D,(D,(D,'(001)))))
(U
 ^ #~'       [Show that H(x) <= |x| + H(|x|) + 525.]
"(           [begin literally]
   : (Re) /.e() ^(R-e)*+e()          [R = reverse  ]
   : (Dk) /=0+k *1(D-k) /.-k () *0-k [D = decrement]
   : (Lk) /.k () *@(L(Dk))           [L = loop     ]
   (L(R!%))
 )           [end literally]
 ^ #'"( '(1000) )  [ lisp expression that evaluates to binary 8, ]
   '(0000 0001)    [ so 8 bits of data follows the header ]
)
