[[[
 COROLLARY EXTRACTED FROM GODEL3/4 & OMEGA2:
 Consider a partial determination of Omega, e.g.,
 a lisp expression of the form (10X0XXXX10).
 This stands for the fractional part of Omega,
 and means that these 0,1 bits of Omega are known.
 X stands for an unknown bit.
 Then the complexity H of a partial determination
 of Omega is greater than the number of bits that
 are determined minus 2177 + 203 = 2380.
 H((10X0XXXX10)) > number of bits determined - 2380.
]]]

++?0'!%  [ The universal computer U ]
         [ Put together program for U : ]

^#~'     [ Show crucial prefix so that we can size it ]
"(       [ begin literally ]

[Merge bits of data into unknown bits of an omega.]
: (Mw) /.w() * /=X+w@+w (M-w)

      (M!%)       [Merge in undetermined bits,
                    output result, and halt.]
 )       [ end literally ]

^#'"(
'(10X0XXXX10) [Partial determination of Omega.]
    )

'(11100) [Missing bits of omega that are needed.]
