[[[
 Show that
    H(X set-union Y) <= H(X) + H(Y) + 2065
 and that
    H(X set-intersection Y) <= H(X) + H(Y) + 2065.
 Here X and Y are INFINITE sets.
]]]

[Combine two bit strings by interleaving them]
& (Cxy) /.xy /.yx *+x*+y(C-x-y)

& (Dl) /.l"? ('&(xy)x (D-l) ,+l) [Display list in reverse]

(D-
[[[++]]]?0'!%

^#~'"( [begin literally]

[Package of set functions from sets0.lisp]
: (Mes) /.s0 /=e+s1 (Me-s)
: (Ds) /.s() /(M+s-s) (D-s) *+s(D-s)
: (Uxy) /.xy /(M+xy) (U-xy) *+x(U-xy)
: (Ixy) /.x() /(M+xy) *+x(I-xy) (I-xy)
: (Sxy) /.x() /(M+xy) (S-xy) *+x(S-xy)
: (Os) /.s() *,+s(O-s)
[Main Loop:
 o is set of elements output so far.
 For first set,
 t is depth limit (time), b is bits read so far.
 For second set,
 u is depth limit (time), c is bits read so far.
]
: (Lotbuc)
 : v     ?t'!%b      [Run 1st computation again.]
 : w     ?u'!%c      [Run 2nd computation again.]
 : x     (I-v-w)     [Form INTERSECTION of sets so far]
 : y     (O(Sxo))    [Output all new elements]
 [This is an infinite loop. But to make debugging easier,
  halt if EITHER computation has halted.]
 / /=0.+v1 /=0.+w1 0 "?
 [Bump everything before branching to head of loop]
 (L x                [Value of y is discarded, x is new o]
    /="?+v *1t t     [Increment time for 1st computation]
    /="!+v ^b*@() b  [Increment tape for 1st computation]
    /="?+w *1u u     [Increment time for 2nd computation]
    /="!+w ^c*@() c  [Increment tape for 2nd computation]
 )

(L()()()()())        [Initially all 5 induction variables
                      are empty.]
)                    [end literally]

(C                   [Combine their bits in order needed]
                     [Wrong order if programs use @ or %]
#'"( *,a*,b*,c0 )    [Program to enumerate 1st FINITE set]
#'"( *,b*,c*,d0 )    [Program to enumerate 2nd FINITE set]
)

[close argument of D]
)
