lisp.c

LISP Interpreter Run

[[[
 Show that
    H(X set-union Y) <= H(X) + H(Y) + 2065
 and that
    H(X set-intersection Y) <= H(X) + H(Y) + 2065.
 Here X and Y are INFINITE sets.
]]]

[IMPORTANT: This test case never halts, so] [<=====!!!]
[must run this with a depth limit on try/?]

[Combine two bit strings by interleaving them]
& (Cxy) /.xy /.yx *+x*+y(C-x-y)

C:          (&(xy)(/(.x)y(/(.y)x(*(+x)(*(+y)(C(-x)(-y)))))))


& (2n) /.n() :k(2-n) /+n *1^kk ^kk [reverse binary to unary]

2:          (&(n)(/(.n)()(('(&(k)(/(+n)(*1(^kk))(^kk))))(2(-n)
            ))))


& (Dl) /.l"? ('&(xy)x (D-l) ,+l)   [display list in reverse]

D:          (&(l)(/(.l)?(('(&(xy)x))(D(-l))(,(+l)))))


(D-
[[[++]]]?(2'(000 011 101 100))'!% [ 880 base 10 = 1560 base 8 ]

^#'"( [begin literally]

[Package of set functions from sets0.lisp]
: (Mes) /.s0 /=e+s1 (Me-s)
: (Ds) /.s() /(M+s-s) (D-s) *+s(D-s)
: (Uxy) /.xy /(M+xy) (U-xy) *+x(U-xy)
: (Ixy) /.x() /(M+xy) *+x(I-xy) (I-xy)
: (Sxy) /.x() /(M+xy) (S-xy) *+x(S-xy)
: (Os) /.s() *,+s(O-s)
[Main Loop:
 o is set of elements output so far.
 For first set,
 t is depth limit (time), b is bits read so far.
 For second set,
 u is depth limit (time), c is bits read so far.
]
: (Lotbuc)
 : v     ?t'!%b      [Run 1st computation again.]
 : w     ?u'!%c      [Run 2nd computation again.]
 : x     (U-v-w)     [Form UNION of sets so far]
 : y     (O(Sxo))    [Output all new elements]
 [This is an infinite loop. But to make debugging easier,
  halt if BOTH computations have halted.]
 / /=0.+v /=0.+w 100 "?
 [Bump everything before branching to head of loop]
 (L x                [Value of y is discarded, x is new o]
    /="?+v *1t t     [Increment time for 1st computation]
    /="!+v ^b*@() b  [Increment tape for 1st computation]
    /="?+w *1u u     [Increment time for 2nd computation]
    /="!+w ^c*@() c  [Increment tape for 2nd computation]
 )

(L()()()()())        [Initially all 5 induction variables
                      are empty.]
)                    [end literally]

(C                   [Combine their bits in order needed]
                     [Wrong order if programs use @ or %]
                     [Program to enumerate 1st INFINITE set]
#'"( :(Lk)(L,*1*1k)(L()) )
                     [Program to enumerate 2nd INFINITE set]
#'"( :(Lk)(L,*2*2*2k)(L()) )
)

[close argument of D]
)

expression  (D(-(?(2('(000011101100)))('(!(%)))(^(#('(:(Mes)/.
            s0/=e+s1(Me-s):(Ds)/.s()/(M+s-s)(D-s)*+s(D-s):(Uxy
            )/.xy/(M+xy)(U-xy)*+x(U-xy):(Ixy)/.x()/(M+xy)*+x(I
            -xy)(I-xy):(Sxy)/.x()/(M+xy)(S-xy)*+x(S-xy):(Os)/.
            s()*,+s(O-s):(Lotbuc):v?t'!%b:w?u'!%c:x(U-v-w):y(O
            (Sxo))//=0.+v/=0.+w100"?(Lx/="?+v*1tt/="!+v^b*@()b
            /="?+w*1uu/="!+w^c*@()c)(L()()()()()))))(C(#('(:(L
            k)(L,*1*1k)(L()))))(#('(:(Lk)(L,*2*2*2k)(L()))))))
            )))
display     (11)
display     (1111)
display     (111111)
display     (11111111)
display     (1111111111)
display     (111111111111)
display     (11111111111111)
display     (1111111111111111)
display     (111111111111111111)
display     (11111111111111111111)
display     (1111111111111111111111)
display     (111111111111111111111111)
display     (11111111111111111111111111)
display     (1111111111111111111111111111)
display     (111111111111111111111111111111)
display     (222)
display     (11111111111111111111111111111111)
display     (222222)
display     (1111111111111111111111111111111111)
display     (222222222)
display     (111111111111111111111111111111111111)
display     (222222222222)
display     (11111111111111111111111111111111111111)
display     (222222222222222)
display     (1111111111111111111111111111111111111111)
display     (222222222222222222)
display     (111111111111111111111111111111111111111111)
display     (222222222222222222222)
display     (11111111111111111111111111111111111111111111)
display     (222222222222222222222222)
display     (1111111111111111111111111111111111111111111111)
display     (222222222222222222222222222)
display     (111111111111111111111111111111111111111111111111)
display     (222222222222222222222222222222)
value       ?

End of LISP Run

Elapsed time is 1 seconds.
